#declare Step = 12.7;

background{color rgb <0,0,0>}


#macro ViewFrom(Distance)
  camera {orthographic angle 50
	  location <Distance,Distance,-Distance> 
	  look_at <0,0,0>}
#end


#macro Plane(NbuchiX,NbuchiY,Thickness)
  <-floor(NbuchiX/2)*Step-6,-Thickness,-floor(NbuchiY/2)*Step-6>
  <floor(NbuchiX/2)*Step+6,0,floor(NbuchiY/2)*Step+6>
#end


#macro Rod(Nbuchi,Thickness)
  <-((Nbuchi-1)/2)*Step-6,-Thickness,-5>
  < ((Nbuchi-1)/2)*Step+6,0,5>
#end

	
#macro Drill(PosX,PosY)
  cylinder{ <0,  1,0>, <0,-15,0>, 2
	    translate <PosX*Step,0,PosY*Step>
  }
#end


#macro HorzDrill(PosX)
  cylinder{ <0, 10,0>, <0,-10,0>, 2
  	    rotate <90,0,0>
	    translate <PosX*Step,-5,0>
  }
#end


#macro Dsub_9(PosX,PosY,Rotation)
  object{
    union{
      cylinder{ <-12.5, 1,0>, <-12.5,-15,0>, 1.75 }	// foro laterale sx
      cylinder{ < 12.5, 1,0>, < 12.5,-15,0>, 1.75 }	// foro laterale dx
      cylinder{ < -7.5, 1, 3.2>, < -7.5,-15, 3.2>, 1.75 }	// smusso up-sx
      cylinder{ <  7.5, 1, 3.2>, <  7.5,-15, 3.2>, 1.75 }	// smusso up-dx
      cylinder{ < -6.4, 1,-3.2>, < -6.4,-15,-3.2>, 1.75 }	// smusso dn-sx
      cylinder{ <  6.4, 1,-3.2>, <  6.4,-15,-3.2>, 1.75 }	// smusso dn-dx
      prism{
	linear_sweep
	linear_spline
	1,
	-15,
	9,
	<-9.5,3.2>,<-7.5,5.2>,<7.5,5.2>,<9.5,3.2>,
	<8.4,-3.2>,<6.4,-5.2>,<-6.4,-5.2>,<-8.4,-3.2>,
	<-9.5,3.2>
      }
    }
    rotate <0,Rotation,0>
    translate <PosX*Step,0,PosY*Step>
  }
#end


#macro Dsub_25(PosX,PosY,Rotation)
  object{
    union{
      cylinder{ <-23.52, 1,0>, <-23.52,-15,0>, 1.75 }	// foro laterale sx
      cylinder{ < 23.52, 1,0>, < 23.52,-15,0>, 1.75 }	// foro laterale dx
      cylinder{ <-18.52, 1, 3.2>, <-18.52,-15, 3.2>, 1.75 }	// smusso up-sx
      cylinder{ < 18.52, 1, 3.2>, < 18.52,-15, 3.2>, 1.75 }	// smusso up-dx
      cylinder{ <-17.42, 1,-3.2>, <-17.42,-15,-3.2>, 1.75 }	// smusso dn-sx
      cylinder{ < 17.42, 1,-3.2>, < 17.42,-15,-3.2>, 1.75 }	// smusso dn-dx
      prism{
	linear_sweep
	linear_spline
	1,
	-15,
	9,
	<-20.52,3.2>,<-18.52,5.2>,<18.52,5.2>,<20.52,3.2>,
	<19.42,-3.2>,<17.42,-5.2>,<-17.42,-5.2>,<-19.42,-3.2>,
	<-20.52,3.2>
      }
    }
    rotate <0,Rotation,0>
    translate <PosX*Step,0,PosY*Step>
  }
#end


#macro Polistirolo()
  pigment{ color rgb <1,1,1> transmit 0.5 }
  finish{ ambient 0.25 diffuse 0.3 }
  interior { ior 2.0 }
#end


#macro Legno()
  pigment{ color rgb <1.0,1.0,0> transmit 0.0 }
  finish{ ambient 0.27 diffuse 0.7 }
#end


//#macro Polistirolo()
//  pigment{ color rgb <1,1,1> transmit 0.6 }
//  finish{ specular 0.6
//  	  roughness 0.01
//  	  ambient 0.25 
//  	  diffuse 0.3
//	  reflection { 0.2, 0.8 fresnel on }
//	  conserve_energy
//  }
//  interior { ior 2.0 }
//#end

