//
// Rod creation script
//
// Variables:
//   RodHoles		# di buchi nell'asta.
//   Thick		spessore (5 or 10)
//   Double		se 1 ha doppi buchi (RodThick deve essere 10)


#include "colors.inc"
#include "meccano.inc"

// definisce il punto di vista
#if (RodHoles <= 7)
  ViewFrom(50)
#else
  ViewFrom(50+(RodHoles-7)*6)
#end

// posiziona la luce
#if(Double)
  light_source { <70,70,-40>, White}
#else
  light_source { <70,70,10>, White}
#end

// caratteristiche dell'asta
#if (RodHoles = 2)
  difference{
    box{ Rod(2,Thick) }
    
    Drill(-0.5,0)
    Drill( 0.5,0)
    #if (Double)
      HorzDrill(-0.5)
      HorzDrill( 0.5)
    #end
    
    Legno()
  }
#else
  #declare StartX = -floor(RodHoles/2);
  #declare StopX = -StartX;

  difference{
    // asta
    box{ Rod(RodHoles,Thick) }
    
    // buchi nell'asta
    #local i = StartX;
    #while(i <= StopX)
      Drill(i,0)
      #if (Double)
	HorzDrill(i)
      #end
      #local i = i + 1;
    #end

    Legno()
  }
#end

